package com.emato.eoss.api;

import com.emato.eoss.msg.resp.Result;
import com.emato.eoss.util.jackson.JacksonUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author Scott Chen
 * @date 2021-03-02
 */
@RestController
public class Test {
    private static final Logger logger = LoggerFactory.getLogger(Test.class);

    @RequestMapping("/queryOmsInfo/queryInveMng")
    public Result test(@RequestBody Map<String, String> params) throws InterruptedException{
        logger.debug("---请求处理---");
        String a = JacksonUtils.toJsonStr(params);
        logger.debug("入参：" + a);
        Thread.sleep(2000);
        return Result.success("okttp test");
    }
}
