package com.emato.eoss.msg.req;

import java.io.Serializable;

/**
 * 外部请求消息结构
 * 由外部系统发起
 *
 * @author Scott Chen
 * @since 1.0
 * 2018-03-31
 */
public class OutRequestMessage implements Serializable {

    private static final long serialVersionUID = 1519467353112381590L;

    /**
     * 请求主体编号
     */
    private String subjectSn;

    /**
     * 请求业务数据
     */
    private Object data;

    /**
     * 时间戳
     */
    private String timestamp;

    /**
     * 请求签名
     */
    private String signature;

    public String getSubjectSn() {
        return subjectSn;
    }

    public void setSubjectSn(String subjectSn) {
        this.subjectSn = subjectSn;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }
}
